unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DB, DBTables, StdCtrls, Buttons, ExtCtrls;

type
  TfrmMain = class(TForm)
    btnMastappTable: TBitBtn;
    btnFishfacts: TBitBtn;
    btnClose: TBitBtn;
    imgDemo: TImage;
    btnMastappQuery: TBitBtn;
    procedure btnClick(Sender: TObject);
  private
  public
  end;

var
  frmMain: TfrmMain;

implementation

uses
  MastappTableFrm, MastappQueryFrm, FishFactsFrm;

{$R *.DFM}

procedure TfrmMain.btnClick(Sender: TObject);
var
  frm : TForm;
begin
  if Sender = btnMastappTable then frm := TfrmMastappTable.Create(self)
  else if Sender = btnMastappQuery then frm := TfrmMastappQuery.Create(self)
  else if Sender = btnFishfacts then frm := TfrmFishfacts.Create(self)
  else frm := NIL;    {nagging hints ...}
  if Assigned(frm) then frm.ShowModal;   { if the impossible should happen... }
  frm.Free;
end;

end.
